import Gamecfg from "../../../../common/gameCfg";
import { gameMethod } from "../../../../common/gameMethod";
import { ChatEvent } from "../../../../data/const/EventConst";
import GameDataCenter from "../../../../data/GameDataCenter";
import EventMng from "../../../../manager/EventMng";

export default class HomeChatCom {
    private _vm: fairygui.GComponent;
    public constructor(vm: fgui.GComponent) {
        this._vm = vm;
        //请求聊天信息
        // GameDataCenter.user.sendEpsInfo();
    }

    public onEnable(): void {
        EventMng.on(ChatEvent.UP_CHAT_INFO, this.onUpChatInfo, this);
    }

    onUpChatInfo() {
        
    }

    public onDisable(): void {
        
    }
}
